com.amazonaws.services.codedeploy.waiters

## Class AmazonCodeDeployWaiters

- java.lang.Object
- - com.amazonaws.services.codedeploy.waiters.AmazonCodeDeployWaiters

    public class AmazonCodeDeployWaiters
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`AmazonCodeDeployWaiters(AmazonCodeDeploy client)` Constructs a new AmazonCodeDeployWaiters with the given client

### Method Summary

All Methods Instance Methods Concrete Methods
`Waiter<GetDeploymentRequest>` `deploymentSuccessful()` Builds a DeploymentSuccessful waiter by using custom parameters waiterParameters and other parameters defined in the waiters specification, and then polls until it determines whether the resource entered the desired state or not, where polling criteria is bound by either default polling strategy or custom polling strategy.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AmazonCodeDeployWaiters

    public AmazonCodeDeployWaiters(AmazonCodeDeploy client)

Constructs a new AmazonCodeDeployWaiters with the given client

Parameters:
  `client` - Service client

### Method Detail

#### deploymentSuccessful

    public Waiter<GetDeploymentRequest> deploymentSuccessful()

Builds a DeploymentSuccessful waiter by using custom parameters waiterParameters and other parameters defined in the waiters specification, and then polls until it determines whether the resource entered the desired state or not, where polling criteria is bound by either default polling strategy or custom polling strategy.